/********************************************************** CSS COMPONENTES *******************************************************************/
.formLabel {
	height: 14px;
	margin-bottom: 3px;
	width: -moz-max-content;
}

.ui-outputlabel-rfi {
	color: #c6080b;
}

.ui-state-error .ui-outputlabel-rfi {
	color: #ffffff;
}

.ui-autocomplete-panel .ui-autocomplete-table th, .ui-autocomplete-panel .ui-autocomplete-table td {
    border-color: transparent;
    border-style: solid;
    border-width: 0px;
    padding: 2px 5px;
}

.float-clear {
    clear: both;
}

.ui-autocomplete .ui-autocomplete-dropdown {
    top: auto;
}

.main-alias{
	display: none;
}

.main-title{
	display: block;
}

.formField {
	float: left;
	padding: 0 1% 6px 0%;
	min-height: 34px;
}

.formCell {
	float: left;
	padding: 0 1% 6px 0%;
	min-height: 27px;
}

.ui-chkbox-box{
	margin-top: 7px;
}

.ui-autocomplete-multiple-container{
	width: 100% !important;
}

.ui-selectcheckboxmenu .ui-selectcheckboxmenu-label {
    padding: 3px 0px 3px 5px;
}

.w112 label, .w212 label, .w312 label, .w412 label, .w512 label, .w612 label, .w712 label, .w812 label, .w912 label, .w1012 label, .w1112 label, .w1212 label,
.w112 input, .w212 input, .w312 input, .w412 input, .w512 input, .w612 input, .w712 input, .w812 input, .w912 input, .w1012 input, .w1112 input, .w1212 input,
.w112 .ui-autocomplete-input, .w212 .ui-autocomplete-input, .w312 .ui-autocomplete-input, .w412 .ui-autocomplete-input, .w512 .ui-autocomplete-input, .w612 .ui-autocomplete-input, .w712 .ui-autocomplete-input, .w812 .ui-autocomplete-input, .w912 .ui-autocomplete-input, .w1012 .ui-autocomplete-input, .w1112 .ui-autocomplete-input, .w1212 .ui-autocomplete-input,
.w112 textarea, .w212 textarea, .w312 textarea, .w412 textarea, .w512 textarea, .w612 textarea, .w712 textarea, .w812 textarea, .w912 textarea, .w1012 textarea, .w1112 textarea, .w1212 textarea{
	width: calc(100% - 10px)!important;
}

.w112 .ui-selectonemenu, .w212 .ui-selectonemenu, .w312 .ui-selectonemenu, .w412 .ui-selectonemenu, .w512 .ui-selectonemenu, .w612 .ui-selectonemenu, .w712 .ui-selectonemenu, .w812 .ui-selectonemenu, .w912 .ui-selectonemenu, .w1012 .ui-selectonemenu, .w1112 .ui-selectonemenu, .w1212 .ui-selectonemenu{
	width: calc(100% - 4px) !important;
	padding-right: 0px !important;
}

.w112 .ui-autocomplete, .w212 .ui-autocomplete, .w312 .ui-autocomplete, .w412 .ui-autocomplete, .w512 .ui-autocomplete, .w612 .ui-autocomplete, .w712 .ui-autocomplete, .w812 .ui-autocomplete, .w912 .ui-autocomplete, .w1012 .ui-autocomplete, .w1112 .ui-autocomplete, .w1212 .ui-autocomplete{
	width: calc(100% - 34px)!important;
}

.calendarDSI > .hasDatepicker{
	width: calc(100% - 44px)!important;
}

.panel.w112 {
	width: calc(8.3333% - 7px)!important;
}
.panel.w212 {
	width: calc(16.6666% - 7px)!important;
}
.panel.w312 {
	width: calc(25% - 7px)!important;
}
.panel.w412 {
	width: calc(33.3333% - 7px)!important;
}
.panel.w512 {
	width: calc(41.6666% - 7px)!important;
}
.panel.w612 {
	width: calc(50% - 7px)!important;
}
.panel.w712 {
	width: calc(58.3333% - 7px)!important;
}
.panel.w812 {
	width: calc(66.6666% - 7px)!important;
}
.panel.w912 {
	width: calc(75% - 7px)!important;
}
.panel.w1012 {
	width: calc(83.3333% - 7px)!important;
}
.panel.w1112 {
	width: calc(91.6666% - 7px)!important;
}
.panel.w1212 {
	width: calc(100% - 7px)!important;
}

.panel-body .panel {
    width: calc(100% - 20px) !important;
}

.ui-paginator-current, .span-paginator-current{
	font-weight: normal !important;
}

@media (min-width: 996px){
	.w112 {
		width: 7.3% !important;
	}
	.w212 {
		width: 15.6% !important;
	}
	.w312 {
		width: 23.9% !important;
	}
	.w412 {
		width: 32.2% !important;
	}
	.w512 {
		width: 40.5% !important;
	}
	.w612 {
		width: 48.8% !important;
	}
	.w712 {
		width: 57.1% !important;
	}
	.w812 {
		width: 65.4% !important;
	}
	.w912 {
		width: 73.7%!important;
	}
	.w1012 {
		width: 82%!important;
	}
	.w1112 {
		width: 90.3% !important;
	}
	.w1212 {
		width: 98.6% !important;
	}
}

@media (max-width: 996px){
	.w112, .w212, .w312, .w412, .w512, .w612, .w712, .w812, .w912, .w1012, .w1112, .w1212{
		width: 97% !important;
	}
	.panel.w112, .panel.w212, .panel.w312, .panel.w412, .panel.w512, .panel.w612, .panel.w712, .panel.w812, .panel.w912, .panel.w1012, .panel.w1112, .panel.w1212 {
		width: calc(100% - 7px)!important;
	}
}
/* Impede a quebra de layout com textos grande*/
.ui-datatable tbody td {
    max-width: 180px !important;
    word-wrap: break-word !important;
}

.tooltip_help{
	color: #777 !important;
    text-decoration: none;
}

.tooltip_help:HOVER{
    text-decoration: none !important;
}

.ui-state-disabled{
	box-shadow: none;
    cursor: not-allowed !important;
}

.fieldset-dsi{
	border: 1px solid #ddd;
    border-radius: 4px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
    margin: -10px;
}

.fieldset-dsi legend{
    background-color: #f5f5f5;
    border: 1px solid #ddd; 
    border-radius: 3px;
    padding: 3px 5px;
    color: #333;
}

.radio-dsi{
	border: 1px solid #ddd; 
    border-radius: 3px;
}

.ui-radiobutton-box{
	margin: 0 !important;
	height: 10px !important;
	width: 10px !important;
}

.ui-icon-bullet {
    background-position: -83px -147px !important;
}

td{
	padding: 0;
}